Funds
Get fund detail
GET
/
funds
/
{fundId}
Get fund detail
curl --request GET \
--url https://mkk.celebi.me/api/funds/{fundId}import requests
url = "https://mkk.celebi.me/api/funds/{fundId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mkk.celebi.me/api/funds/{fundId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"fund_code": "<string>",
"document_count": 123,
"period_count": 123,
"line_item_count": 123,
"first_period": "<string>",
"last_period": "<string>",
"fund_title": "<string>",
"portfolio_entry_count": 123,
"documents": [
{
"id": 123,
"disclosure_index": "<string>",
"file_name": "<string>",
"pdf_url": "<string>",
"kap_file_url": "<string>",
"kap_url": "<string>",
"page_count": 123,
"parsed_pages": 123,
"document_type": "<string>",
"fund_code": "<string>",
"fund_title": "<string>",
"period": "<string>",
"report_date": "<string>",
"management_company": "<string>",
"line_item_value_count": 123,
"portfolio_entry_count": 123,
"portfolio_row_count": 123
}
],
"line_items": [
{
"id": 123,
"slug": "<string>",
"name": "<string>",
"sectionId": "<string>",
"sectionName": "<string>",
"section": "<string>",
"unit": "<string>",
"kind": "<string>",
"value_count": 123,
"fund_count": 123,
"document_count": 123,
"values": [
{
"id": 123,
"document_id": 123,
"disclosure_index": "<string>",
"file_name": "<string>",
"fund_code": "<string>",
"fund_title": "<string>",
"period": "<string>",
"line_item_id": 123,
"line_item_slug": "<string>",
"line_item_name": "<string>",
"sectionId": "<string>",
"sectionName": "<string>",
"canonical_section": "<string>",
"kind": "<string>",
"raw_section": "<string>",
"raw_label": "<string>",
"value": "<string>",
"numeric_value": 123,
"unit": "<string>",
"source": "<string>",
"mapping_method": "<string>",
"mapping_confidence": 123
}
]
}
],
"sections": [
{
"id": "<string>",
"sectionId": "<string>",
"name": "<string>",
"sort_order": 123,
"line_item_count": 123,
"document_count": 123,
"fund_count": 123,
"line_items": [
{
"id": 123,
"slug": "<string>",
"name": "<string>",
"sectionId": "<string>",
"sectionName": "<string>",
"section": "<string>",
"unit": "<string>",
"kind": "<string>",
"value_count": 123,
"fund_count": 123,
"document_count": 123,
"values": [
{
"id": 123,
"document_id": 123,
"disclosure_index": "<string>",
"file_name": "<string>",
"fund_code": "<string>",
"fund_title": "<string>",
"period": "<string>",
"line_item_id": 123,
"line_item_slug": "<string>",
"line_item_name": "<string>",
"sectionId": "<string>",
"sectionName": "<string>",
"canonical_section": "<string>",
"kind": "<string>",
"raw_section": "<string>",
"raw_label": "<string>",
"value": "<string>",
"numeric_value": 123,
"unit": "<string>",
"source": "<string>",
"mapping_method": "<string>",
"mapping_confidence": 123
}
]
}
]
}
],
"portfolio_sections": [
{
"section": "<string>",
"entry_count": 123,
"document_count": 123,
"transaction_value_sum": 123
}
],
"portfolio_limit": 123,
"portfolio_offset": 123,
"portfolio_entries": [
{
"id": 123,
"document_id": 123,
"disclosure_index": "<string>",
"file_name": "<string>",
"fund_code": "<string>",
"fund_title": "<string>",
"period": "<string>",
"section": "<string>",
"security": "<string>",
"isin": "<string>",
"issuer": "<string>",
"bank": "<string>",
"maturity_date": "<string>",
"transaction_date": "<string>",
"price": "<string>",
"numeric_price": 123,
"transaction_value": "<string>",
"numeric_transaction_value": 123,
"nominal_value": "<string>",
"numeric_nominal_value": 123,
"market_value": "<string>",
"numeric_market_value": 123,
"rate": "<string>",
"numeric_rate": 123,
"amount": "<string>",
"numeric_amount": 123,
"currency": "<string>",
"raw_row": "<string>",
"columns": [
{
"header": "<string>",
"key": "<string>",
"value": "<string>"
}
]
}
]
}{
"error": "<string>",
"routes": [
"<string>"
]
}Path Parameters
Fund code, for example OJB.
Query Parameters
Include nested values. Truthy values: 1, true, yes, on.
Include portfolio entries. Truthy values: 1, true, yes, on.
Maximum number of embedded portfolio entries to return.
Required range:
1 <= x <= 5000Number of embedded portfolio entries to skip.
Required range:
x >= 0Response
Fund detail with documents, line items, sections, and optional portfolio entries.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get fund detail
